=== autotests/libs/CMakeLists.txt ===
add_subdirectory(dfm-base)
add_subdirectory(dfm-extension)
add_subdirectory(dfm-framework)
