=== autotests/tools/CMakeLists.txt ===
# Tools unit tests
add_subdirectory(upgrade)
