=== debian/changelog ===
dde-file-manager (6.5.99) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 24 Oct 2025 10:38:03 +0800

dde-file-manager (6.5.98) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 23 Oct 2025 19:58:38 +0800

dde-file-manager (6.5.97) unstable; urgency=medium

  * fix bugs
  * Implementation of some features

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 16 Oct 2025 20:40:06 +0800

dde-file-manager (6.5.96) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 10 Oct 2025 20:14:00 +0800

dde-file-manager (6.5.95) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 26 Sep 2025 17:59:17 +0800

dde-file-manager (6.5.94) unstable; urgency=medium

  * feat: file grouping
  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 25 Sep 2025 21:32:46 +0800

dde-file-manager (6.5.93) unstable; urgency=medium

 * fix bugs
 * new features 

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 18 Sep 2025 20:40:14 +0800

dde-file-manager (6.5.92) unstable; urgency=medium

  * fix bugs 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 11 Sep 2025 20:50:42 +0800

dde-file-manager (6.5.91) unstable; urgency=medium

 * fix bugs
 * new features

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 04 Sep 2025 21:31:26 +0800

dde-file-manager (6.5.90) unstable; urgency=medium

 * fix bugs
 * new features

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 29 Aug 2025 11:04:16 +0800

dde-file-manager (6.5.89) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 22 Aug 2025 11:10:37 +0800

dde-file-manager (6.5.88) unstable; urgency=medium

  * fix bugs
  * new strategy for file copy
  * new features

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 21 Aug 2025 21:39:30 +0800

dde-file-manager (6.5.87) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 14 Aug 2025 13:57:38 +0800
