=== debian/changelog ===
dde-file-manager (6.5.106) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Nov 2025 22:37:15 +0800

dde-file-manager (6.5.105) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 13 Nov 2025 19:46:11 +0800

dde-file-manager (6.5.104) unstable; urgency=medium

  * Upgrade compatibility issues

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Nov 2025 15:36:58 +0800

dde-file-manager (6.5.103) unstable; urgency=medium

  * Upgrade compatibility issues

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Nov 2025 13:40:17 +0800

dde-file-manager (6.5.102) unstable; urgency=medium

  * fix bugs
  * security enhancement

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 06 Nov 2025 21:21:57 +0800

dde-file-manager (6.5.101) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 31 Oct 2025 14:49:31 +0800

dde-file-manager (6.5.100) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 31 Oct 2025 09:56:39 +0800
