=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
 Build-Depends:
+ debhelper-compat (= 12),
  cmake,
  doxygen,
- debhelper (>=9),
  pkg-config,
  libffmpegthumbnailer-dev,
  libpolkit-agent-1-dev,
@@ -26,7 +26,6 @@
  libcryptsetup-dev,
  libpcre2-dev,
  libdde-shell-dev (>= 0.0.10),
- deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-svg-dev,
@@ -51,18 +50,18 @@
  libdeepin-service-framework-dev,
  libheif-dev,
  libappimage-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://www.deepin.org
 
 Package: dde-desktop
 Architecture: any
-Depends: 
- ${shlibs:Depends}, 
- ${misc:Depends}, 
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
  libdde-file-manager (=${binary:Version}),
  libqt6sql6-sqlite,
  qt6-translations-l10n,
- libimageeditor6 | hello
+ libimageeditor6
 Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem, dde-desktop-plugins
 Replaces: dde-file-manager-oem, dde-file-manager (<< 6.0.1), dde-desktop-plugins
 Recommends: deepin-screensaver
@@ -74,6 +73,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ pkexec,
+ deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
  libdde-file-manager (=${binary:Version}),
  socat,
  cryfs,
@@ -85,14 +86,17 @@
  qml6-module-qtquick-window,
  tpm2-abrmd,
  libtss2-tcti-pcap0,
- libtss2-tcti-tabrmd0,
- libusec-recoverykey | hello
-Replaces: dde-file-manager-oem, dde-desktop (<< 6.0.1),
+ libtss2-tcti-tabrmd0
+Replaces: dde-file-manager-oem,
+ dde-desktop (<< 6.5.102),
  dde-file-manager-preview,
  dde-file-manager-preview-plugins,
  dde-file-manager-plugins,
  dde-file-manager-daemon-plugins,
- dde-file-manager-common-plugins
+ dde-file-manager-common-plugins,
+ dde-file-manager-services-plugins (<< 6.5.102)
+Breaks: dde-desktop (<< 6.5.102),
+ dde-file-manager-services-plugins (<< 6.5.102)
 Conflicts: dde-file-manager-preview,
  dde-file-manager-preview-plugins,
  dde-file-manager-plugins,
@@ -110,8 +114,8 @@
  libpoppler-cpp0v5 (>= 0.48.0),
  gvfs-backends (>=1.27.3),
  cryptsetup,
- libdfm-extension (=${binary:Version}),
- dlnfs | hello
+ gnome-keyring,
+ libdfm-extension (=${binary:Version})
 Multi-Arch: same
 Description: DDE File Manager core librarys
  This package contains the shared libraries.
@@ -135,7 +139,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: deepin desktop-environment - deepin-service-manager plugins module
  Deepin Desktop Environment (DDE) - deepin-service-manager plugins module.
- 
+
 Package: libdfm-extension-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension (=${binary:Version})
@@ -145,7 +149,7 @@
 
 Package: dde-file-manager-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dde-file-manager (=${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-file-manager (=${binary:Version}),
  libdfm6-io-dev, libdfm6-mount-dev, libdfm6-burn-dev
 Description: DDE File Manager Devel library
  This package contains the header files and static libraries
